KJL - Bug #3493

Button Create QR Code dan Create Barcode dihide saja
03/11/2025 10:42 AM - haykal haykal

Status: QA Test Start date: 03/11/2025
Priority: Normal Due date: 03/14/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Di modul Asset Management saya lihat ada button Create QR Code dan Create Barcode dan sepertinya itu belum berfungsi.
Sebaiknya kedua button itu dihide saja, daripada nanti klien nanya-nanya soal itu.

Terimakasih.
Menu Path: Asset Management > Asset ID (setelah pilih salah satu asset)

Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod (di 1452)

Sekalian yang di Production tlg dihide juga aja ya...

Menu Path: Asset Management > Asset ID (setelah pilih salah satu asset)
Port: https://hris-kjl-prod.minovais.com/
DB: MinovaES_KJL_Prod (di 89)

History

#1 - 03/11/2025 12:10 PM - Kezia Pawitra Yulianti
- Due date set to 03/14/2025
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

#2 - 03/17/2025 02:29 PM - Tri Rizqgiaty
- File clipboard-202503171429-mixg7.png added
- File clipboard-202503171429-t5izf.png added

- Status changed from Assigned to Developing

Fixing : Update MinovaXType.js sesuai gambar dibawah

sb.config ,|Ectr|travel.is ,|Epg_hha.cnnf ,|Epnstgresql.conf ,|Emderpsearch.is | Minovaxtvpe.js E3 |E Log. kst ,|Efinger5\fl:.t:-:t ||

xtype: 'minovaform' ,
name: 'DISPLLYY 4+ rec.TableMawe,
id: 'DIZFLAY' 4+ rec,TableName,
itemId: 'DIZPLLY' + rec.TableNamwe,
tahleMNawe: rec. TablelName,
islisplay: true,
hidden: false,
button=: [{
text: 'Create QR Code',
narwe: 'editDIZPLALAY' + rec.T
iconCls: 'fa-—edic!,
style: 'font-—faonil
hidden: true,
handler: function () {
var mwyfrwForm = ExXt.ComponentQuery.query{' [nawe=FORM' + rec.TableNsone + '] ') [0]
var asetid = myfroForm.getWValues{).AssetID;
rar asetdesc = wyfrwForm. getValues() . AssetlName !
var Externalll = myfrioForm.getValues() .ExternalllD;
Ext.widget{ ' window' , {
ditambah ini
http://remote.minovais.com:61138/
https://hris-kjl-prod.minovais.com/

nfig e | chrltravel jz b3 | pa_hba.conf £ | postaresgl.conf £ | mdeipeeaich.js B B Minovaxype.js £

Log.tat £ | firgerS%C.txt k4 | E

const groode = dooument . getElementByIcd{ "groodeT)
const textInput = dooument.getElementById{ExternsalID)

const ogr = new QRCode{greoode)
gr.mwakeCode{External Iy ;

¥
| P

text: 'Create Barcode',
nate: 'edictDIZPLLY' + rec.Table
iconcls: 'fa-edit!
style: 'font-family:
hidden : trueJ
handler: function {} {

rar myfrmForm = Ext.ComponentQuerv.guery{' [name=FORM' + rec.TableMName + '] ')[0]:

rar asetid = wyfrwForm.gectValues().As=zetID;

var asetdesc = wyfrwForm. getValues() .Assetlame !

vrar Externalll = myfrwForm.getValues{) .ExternallD:

Ext.widget{ ' wvindow' . {

width: o000,

ditambabh ini

Twesome' ,

#3 - 03/17/2025 02:29 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Files

Screenshot 2025-03-11 102815 Button dihide saja.png 32.3 KB 03/11/2025 haykal haykal

clipboard-202503171429-mixg7.png 21.6 KB 03/17/2025 Tri Rizqgiaty

clipboard-202503171429-t5izf.png 21.3KB 03/17/2025 Tri Rizqiaty
